> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# create project

> create a new project



## OpenAPI

````yaml /api-reference/business.json post /business/projects
openapi: 3.1.2
info:
  title: Bevor Business API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: activity
    description: Team and user activity feeds
paths:
  /business/projects:
    post:
      tags:
        - project
      summary: create project
      description: create a new project
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  type: string
                  nullable: true
                description:
                  type: string
                  nullable: true
                tags:
                  items:
                    type: string
                  type: array
                  nullable: true
                github_repo_id:
                  type: integer
                  nullable: true
                  description: GitHub repository ID to link this project to
              title: CreateProjectBody
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  name:
                    title: Name
                    type: string
                  slug:
                    title: Slug
                    type: string
                  description:
                    type: string
                    nullable: true
                  tags:
                    items:
                      type: string
                    title: Tags
                    type: array
                  n_codes:
                    title: N Codes
                    type: integer
                  n_analyses:
                    title: N Analyses
                    type: integer
                  team:
                    $ref: '#/components/schemas/TeamSchema'
                  created_by_user:
                    $ref: '#/components/schemas/UserSchema'
                  github_link:
                    $ref: '#/components/schemas/GithubLinkSchema'
                    nullable: true
                required:
                  - id
                  - created_at
                  - name
                  - slug
                  - n_codes
                  - n_analyses
                  - team
                  - created_by_user
                title: ProjectSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    TeamSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        is_default:
          title: Is Default
          type: boolean
        created_by_user_id:
          title: Created By User Id
          type: string
      required:
        - id
        - created_at
        - name
        - slug
        - is_default
        - created_by_user_id
      title: TeamSchema
      type: object
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        is_self:
          title: Is Self
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - is_self
        - created_at
        - username
      title: UserSchema
      type: object
    GithubLinkSchema:
      properties:
        id:
          title: Id
          type: integer
        name:
          title: Name
          type: string
        is_private:
          title: Is Private
          type: boolean
        account:
          $ref: '#/components/schemas/GithubAccountSchema'
        push_events_enabled:
          title: Push Events Enabled
          type: boolean
        branch_filters:
          items:
            $ref: '#/components/schemas/GithubBranchFilterMap'
          title: Branch Filters
          type: array
      required:
        - id
        - name
        - is_private
        - account
        - push_events_enabled
      title: GithubLinkSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
    GithubAccountSchema:
      properties:
        id:
          title: Id
          type: integer
        login:
          title: Login
          type: string
        type:
          title: Type
          type: string
        avatar_url:
          title: Avatar Url
          type: string
      required:
        - id
        - login
        - type
        - avatar_url
      title: GithubAccountSchema
      type: object
    GithubBranchFilterMap:
      properties:
        pattern:
          title: Pattern
          type: string
        is_enabled:
          default: true
          title: Is Enabled
          type: boolean
      required:
        - pattern
      title: GithubBranchFilterMap
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````